Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 238527 - x11-terms/gnome-terminal-2.22.3-r1 doesn't start gdk_colormap_new (?) throwing an XError
Summary: x11-terms/gnome-terminal-2.22.3-r1 doesn't start gdk_colormap_new (?) throwin...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-24 00:51 UTC by Muelli
Modified: 2009-06-04 13:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
xorg.conf (xorg.conf,4.84 KB, text/plain)
2008-09-24 00:51 UTC, Muelli
Details
debug session with full backtraces of all threads (gnome-terminal.log,18.96 KB, text/plain)
2008-09-24 00:52 UTC, Muelli
Details
emerge --info (emerge.info,5.61 KB, text/plain)
2008-09-24 00:52 UTC, Muelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muelli 2008-09-24 00:51:08 UTC
When I try to start the gnome-terminal, I get the following error:

muelli@rootbox ~ $ gnome-terminal
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 111 error_code 2 request_code 78 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
muelli@rootbox ~ $ 


This happened after I attached a second monitor to my nvidia graphics card and configured it using nvidia-settings. Note, that I do have a legacy card and that I have to use the old x11-drivers/nvidia-drivers-96.43.07.

As a side note: RandR doesn't work. I have no other app complaining so far, besides gnome-screensaver which messes up my resolution, but I might file a seperate bug for that.

If I can provide any other information, please let me know.

Reproducible: Always

Steps to Reproduce:
1. Configure TwinView with a legacy NVidia card
2. try to start gnome-terminal
3.

Actual Results:  
It doesn't start up, displaying the error described above

Expected Results:  
I expected gnome-terminal to start up fine.

While doing a grep -v '#' though my xorg.conf, I noticed, that "Screen1", which is referenced in the ServerLayout doesn't exist, but "Screen 1" does.

Anyway, here follows a stacktrace, my xorg.conf and my emerge --info:

muelli@rootbox ~ $ gdb gnome-terminal
GNU gdb 6.7.1
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) br gdk_x_error
Function "gdk_x_error" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y

Breakpoint 1 (gdk_x_error) pending.
(gdb) r --sync
Starting program: /usr/bin/gnome-terminal --sync
[Thread debugging using libthread_db enabled]
[New Thread 0xb62f6b30 (LWP 5014)]
Breakpoint 2 at 0xb786fc1d: file gdkmain-x11.c, line 614.
Pending breakpoint "gdk_x_error" resolved
[Switching to Thread 0xb62f6b30 (LWP 5014)]

Breakpoint 2, gdk_x_error (display=0x80abfa8, error=0xbfe4fc1c)
    at gdkmain-x11.c:614
614     gdkmain-x11.c: No such file or directory.
        in gdkmain-x11.c
(gdb) bt
#0  gdk_x_error (display=0x80abfa8, error=0xbfe4fc1c) at gdkmain-x11.c:614
#1  0xb7183f91 in bonobo_x_error_handler (display=0x80abfa8, error=0xbfe4fc1c)
    at bonobo-ui-main.c:58
#2  0xb7577e18 in _XError (dpy=0x80abfa8, rep=0xbfe4fce4) at XlibInt.c:2905
#3  0xb75799ec in _XReply (dpy=0x80abfa8, rep=0xbfe4fce4, extra=0, discard=1)
    at XlibInt.c:1831
#4  0xb75734e8 in XSync (dpy=0x80abfa8, discard=0) at Sync.c:48
#5  0xb7573683 in _XSyncFunction (dpy=0x80abfa8) at Synchro.c:37
#6  0xb755157d in XCreateColormap (dpy=0x80abfa8, w=290, visual=0x80abe28, 
    alloc=0) at CrCmap.c:54
#7  0xb7858a25 in IA__gdk_colormap_new (visual=0x80b6a90, allocate=0)
    at gdkcolor-x11.c:242
#8  0xb7872fdc in IA__gdk_screen_get_rgba_colormap (screen=0x80b50b0)
    at gdkscreen-x11.c:409
#9  0x08078f1d in terminal_window_init (window=0x80e6a98)
    at terminal-window.c:661
#10 0xb775e669 in IA__g_type_create_instance (type=135181376) at gtype.c:1575
#11 0xb7742084 in g_object_constructor (type=135181376, 
    n_construct_properties=2, construct_params=0x80eea10) at gobject.c:1046
#12 0xb77400bf in IA__g_object_newv (object_type=135181376, n_parameters=0, 
    parameters=0x0) at gobject.c:937
#13 0xb7740baf in IA__g_object_new_valist (object_type=135181376, 
    first_property_name=0x0, var_args=<value optimized out>) at gobject.c:986
---Type <return> to continue, or q <return> to quit---
#14 0xb7740d73 in IA__g_object_new (object_type=135181376, 
    first_property_name=0x0) at gobject.c:795
#15 0x080785e2 in terminal_window_new () at terminal-window.c:1239
#16 0x0805d510 in terminal_app_new_window (app=0x80d6518, role=0x0, 
    startup_id=0x80d2b60 "_TIME2445980360", display_name=0x80d2e18 ":0.0", 
    screen_number=-1) at terminal.c:1461
#17 0x0805daf5 in terminal_app_new_terminal (app=0x80d6518, profile=0x80dea10, 
    window=0x0, screen=0x0, force_menubar_state=0, forced_menubar_state=0, 
    start_fullscreen=0, override_command=0x0, geometry=0x0, title=0x0, 
    working_dir=0x0, role=0x0, zoom=1, startup_id=0xbfe4fc1c "", 
    display_name=0x0, screen_number=-1) at terminal.c:1514
#18 0x0805ec4a in new_terminal_with_options (results=0x8095400)
    at terminal.c:1019
#19 0x0806190b in main (argc=-1217163072, argv=0x80abfa8) at terminal.c:1326
#20 0xb741dfdc in __libc_start_main (main=0x80613a0 <main>, argc=2, 
    ubp_av=0xbfe50474, init=0x807e020 <__libc_csu_init>, 
    fini=0x807e010 <__libc_csu_fini>, rtld_fini=0xb7f441e0 <_dl_fini>, 
    stack_end=0xbfe5046c) at libc-start.c:229
#21 0x08054781 in _start ()
(gdb)
Comment 1 Muelli 2008-09-24 00:51:53 UTC
Created attachment 166232 [details]
xorg.conf
Comment 2 Muelli 2008-09-24 00:52:29 UTC
Created attachment 166234 [details]
debug session with full backtraces of all threads
Comment 3 Muelli 2008-09-24 00:52:49 UTC
Created attachment 166235 [details]
emerge --info
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-09-27 10:16:17 UTC
please note that gnome herd (as upstream) doesn't support optimization levels over -O2 so please try to rebuild a few stuff with it (vte, gnome-terminal, bonobo and bonoboui).

gtk+ should already filter out -O3 but please also check if it helps with just using CFLAGS="-O2 -march=${your_cpu} -pipe".
Comment 5 Muelli 2008-09-27 11:01:29 UTC
Hm. Happens with gnome-terminal trunk as well:

muelli@rootbox ~ $ jhbuild run gnome-terminal --sync
I: modulesets were edited locally but jhbuild is configured to get them from subversion, perhaps you need to add use_local_modulesets = True to your .jhbuildrc.
Xlib:  extension "RANDR" missing on display ":0.0".
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 124 error_code 2 request_code 78 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
muelli@rootbox ~ $ svn info  svn/gnome2/gnome-terminal/
Path: svn/gnome2/gnome-terminal
URL: svn+ssh://tobiasmue@svn.gnome.org/svn/gnome-terminal/trunk
Repository Root: svn+ssh://tobiasmue@svn.gnome.org/svn/gnome-terminal
Repository UUID: e32f9464-e525-0410-8908-8a3b6990da27
Revision: 3091
Node Kind: directory
Schedule: normal
Last Changed Author: chpe
Last Changed Rev: 3091
Last Changed Date: 2008-09-24 22:53:00 +0200 (Mi, 24 Sep 2008)

muelli@rootbox ~ $ egrep "^CFLAGS =" svn/gnome2/gnome-terminal/Makefile
CFLAGS = -g3 -O0 -pipe
muelli@rootbox ~ $ 
Comment 6 Gilles Dartiguelongue gentoo-dev 2008-11-29 23:34:07 UTC
I still have no clue what this is about. Could you report this upstream if you can still reproduce it ?
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-06-03 21:37:00 UTC
is this still a problem ?
Comment 8 Muelli 2009-06-04 13:40:09 UTC
I'm sorry. I don't have a working gentoo environment ready. So it's not a problem for me anymore. But the issue might still exist.
Comment 9 Gilles Dartiguelongue gentoo-dev 2009-06-04 13:47:15 UTC
ok, feel free to reopen this bug whenever you get around to try it again.